---
- name: Copy files 
  import_tasks: synchronize.yml

- name: Register deployment timestamp
  set_fact:
    timestamp_deploy: "{{ ansible_date_time.epoch }}"

- name: "Copy {{ homepage_stack_name }} stack"
  template:
    src: templates/docker-compose.j2.yml
    dest: "{{ homepage_deploy_folder }}/docker-compose.yml"
    mode: u=rw,g=,o=

- name: "deploy {{ homepage_stack_name }} stack"
  docker_stack:
    state: present
    prune: true
    name: "{{ homepage_stack_name }}"
    compose:
      - "{{ homepage_deploy_folder }}/docker-compose.yml"
  notify: docker prune
...